u-boot-s32 (2022.04-bsp37.0-0ubuntu2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 19:28:00 +1100

u-boot-s32 (2022.04-bsp37.0-0ubuntu1) noble; urgency=medium

  * Refine version number format (LP: #2034650)

 -- Laider Lai <laider.lai@canonical.com>  Wed, 24 Jan 2024 06:39:33 +0000

u-boot-s32 (2022.04-bsp37.0-18) jammy; urgency=medium

  * Fix lintian error: build-depends-indep-without-arch-indep
     - The u-boot-s32-source package is removed, no need
       build-depends-indep anymore

 -- Laider Lai <laider.lai@canonical.com>  Wed, 24 Jan 2024 04:33:02 +0000

u-boot-s32 (2022.04-bsp37.0-17) jammy; urgency=medium

  * Remove SPDX garbage header
  * Correct debian/copyright content

 -- Laider Lai <laider.lai@canonical.com>  Wed, 24 Jan 2024 02:23:59 +0000

u-boot-s32 (2022.04-bsp37.0-16) jammy; urgency=medium

  * Update nemos-s32g274ardb2.patch: fix offset
  * Update s32gxxxardb-use-fuse-id-for-mac.patch: fix print log

 -- Laider Lai <laider.lai@canonical.com>  Mon, 22 Jan 2024 05:58:15 +0000

u-boot-s32 (2022.04-bsp37.0-15) noble; urgency=medium

  * Update nemos-s32g274ardb2.patch:
     - Set CONFIG_ENV_OVERWRITE=y
    Update s32gxxxardb-use-fuse-id-for-mac.patch:
     - Not override the ethaddr if it's already set

 -- Laider Lai <laider.lai@caonnical.com>  Fri, 19 Jan 2024 02:41:19 +0000

u-boot-s32 (2022.04-bsp37.0-14) noble; urgency=medium

  * Remove u-boot-s32-source package as it's no longer needed for building
    arm-trusted-firmware-s32.

 -- Isaac True <isaac.true@canonical.com>  Wed, 22 Nov 2023 10:23:21 +0100

u-boot-s32 (2022.04-bsp37.0-13) noble; urgency=medium

  * Update nemos-s32g274ardb2.patch:
    - Set CONFIG_AUTOBOOT_MENU_SHOW=n
    - Show the boot menu after running platform fixups

 -- Isaac True <isaac.true@canonical.com>  Fri, 03 Nov 2023 10:27:40 +0100

u-boot-s32 (2022.04-bsp37.0-12) noble; urgency=medium

  * Update nemos-s32g274ardb2.patch:
    - Enable U-Boot menu support

 -- Isaac True <isaac.true@canonical.com>  Tue, 31 Oct 2023 11:27:46 +0000

u-boot-s32 (2022.04-bsp37.0-11) mantic; urgency=medium

  * Update nemos-s32g274ardb2.patch:
    - Disable EFI support entirely
    - Set CONFIG_DISTRO_DEFAULTS=y
  * Add s32-do-not-skip-fdt-fixups.patch which re-enables FDT fixups when
    CONFIG_DISTRO_DEFAULTS=y is set.

 -- Isaac True <isaac.true@canonical.com>  Fri, 27 Oct 2023 12:38:52 +0000

u-boot-s32 (2022.04-bsp37.0-10) mantic; urgency=medium

  * Add a new build target s32g274ardb2+hse.
  * All build targets ending with "+hse" now have HSE support enabled. This
    means that the boot image generated later by arm-trusted-firmware will
    include the proprietary HSE firmware from NXP. This firmware is not
    present in this package,it simply adds an indication that it should be
    added at a later build stage.

 -- Isaac True <isaac.true@canonical.com>  Tue, 24 Oct 2023 18:48:44 +0200

u-boot-s32 (2022.04-bsp37.0-9) mantic; urgency=medium

  * Update nemos-s32g274ardb2.patch:
    - Set CONFIG_CMD_NVEDIT_EFI=y
    - Set CONFIG_CMD_EFIDEBUG=y

 -- Isaac True <isaac.true@canonical.com>  Thu, 19 Oct 2023 14:21:38 +0000

u-boot-s32 (2022.04-bsp37.0-8) mantic; urgency=medium

  * Add new package u-boot-s32-secure-boot which contains the EFI variables
    that can be used to verify EFI binaries using Secure Boot.

 -- Isaac True <isaac.true@canonical.com>  Fri, 13 Oct 2023 14:15:54 +0000

u-boot-s32 (2022.04-bsp37.0-7) mantic; urgency=medium

  * Add patch series optee-rng to backport the OP-TEE based Random Number
    Generator driver from U-Boot 2022.07. This series includes the following
    patches:
    - 0001-rng-add-optee-based-random-number-generator.patch
    - 0002-tee-optee-bind-rng-optee-driver.patch
    - 0003-tee-optee-remove-unused-probe-local-variable.patch
    - 0004-tee-optee-dont-fail-probe-because-of-optee-rng.patch
    - 0005-dm-core-add-dm-flag-probe-after-bind-flag.patch
    - 0006-tee-optee-probe-after-bind.patch
  * Update nemos-s32g274ardb2.patch to enable random number generator support:
    - Set CONFIG_DM_RNG=y
    - Set CONFIG_RNG_OPTEE=y
    - Set CONFIG_EFI_RNG_PROTOCOL=y
    - Set CONFIG_CMD_KASLRSEED=y
    - Set CONFIG_CMD_RNG=y
  * Update FIT image boot process to add a step to initialise the kaslr-seed
    value in the device tree.

 -- Isaac True <isaac.true@canonical.com>  Fri, 13 Oct 2023 13:27:02 +0000

u-boot-s32 (2022.04-bsp37.0-6) mantic; urgency=medium

  * Update s32gxxxardb-use-fuse-id-for-mac.patch.

 -- Isaac True <isaac.true@canonical.com>  Wed, 11 Oct 2023 12:56:47 +0200

u-boot-s32 (2022.04-bsp37.0-5) mantic; urgency=medium

  * Add s32gxxxardb-use-fuse-id-for-mac.patch to automatically generate a
    static MAC address for the Ethernet adapter based on the SoC's unique
    hardware ID.

 -- Isaac True <isaac.true@canonical.com>  Tue, 10 Oct 2023 14:04:11 +0000

u-boot-s32 (2022.04-bsp37.0-4) mantic; urgency=medium

  * u-boot-s32-tools: install tools/efivar.py to /usr/share/u-boot/
  * u-boot-s32-tools: add python3 and python3-openssl dependencies

 -- Isaac True <isaac.true@canonical.com>  Tue, 26 Sep 2023 12:10:03 +0000

u-boot-s32 (2022.04-bsp37.0-3) mantic; urgency=medium

  * Update nemos-s32g274ardb2.patch to enable boot image signature
    verification:
    - Set CONFIG_FIT_SIGNATURE=y
    - Set CONFIG_EFI_SECURE_BOOT=y
    - Set CONFIG_LEGACY_IMAGE_FORMAT=n

 -- Isaac True <isaac.true@canonical.com>  Mon, 25 Sep 2023 12:58:25 +0000

u-boot-s32 (2022.04-bsp37.0-2) lunar; urgency=medium

  * Update nemos-s32g274ardb2.patch to enable PCIe root complex support.

 -- Isaac True <isaac.true@canonical.com>  Wed, 13 Sep 2023 08:48:59 +0000

u-boot-s32 (2022.04-bsp37.0-1) lunar; urgency=medium

  * Update to latest NXP S32G BSP version 37.0
    Git tag: bsp37.0-2022.04

 -- Isaac True <isaac.true@canonical.com>  Thu, 03 Aug 2023 14:44:42 +0000

u-boot-s32 (2022.04-bsp36.0-16) lunar; urgency=medium

  * nemos-s32g274ardb2.patch: disable FIT image signature verification for
    now.

 -- Isaac True <isaac.true@canonical.com>  Wed, 21 Jun 2023 15:03:27 +0000

u-boot-s32 (2022.04-bsp36.0-15) lunar; urgency=medium

  * nemos-s32g274ardb2.patch: automatically determine if the boot should boot
    in EFI mode or using a FIT image. This is achieved by scanning all MMC
    partitions that are marked as bootable and looking for either a file
    called /fitImage or /EFI/BOOT/BOOTAA64.EFI.

 -- Isaac True <isaac.true@canonical.com>  Wed, 21 Jun 2023 12:33:02 +0000

u-boot-s32 (2022.04-bsp36.0-14) lunar; urgency=medium

  * Merge all s32g274ardb2-* patches into nemos-s32g274ardb2.patch
  * nemos-s32g274ardb2.patch: set CONFIG_STACKPROTECTOR=y
  * nemos-s32g274ardb2.patch: simplify boot environment and remove any
    unneeded variables.

 -- Isaac True <isaac.true@canonical.com>  Tue, 13 Jun 2023 14:53:30 +0200

u-boot-s32 (2022.04-bsp36.0-13) lunar; urgency=medium

  * Add patch s32g274ardb2-crypto which enables FIT image signature validation
    and various hashing functions.

 -- Isaac True <isaac.true@canonical.com>  Tue, 06 Jun 2023 13:28:43 +0000

u-boot-s32 (2022.04-bsp36.0-12) jammy; urgency=medium

  * Rename to u-boot-s32.
  * Add new u-boot-s32-source package.
  * Remove HSE support as this should be handled by consuming the
    u-boot-s32-source package and building it externally.

 -- Isaac True <isaac.true@canonical.com>  Thu, 25 May 2023 17:52:55 +0200

u-boot-s32 (2022.04-bsp36.0-10) jammy; urgency=medium

  * Use the `pkg.u-boot-s32.hse` build profile to enable or disable HSE
    support.
  * Remove the s32g274ardb2-enable-hse patch in favour of using build
    profiles.

 -- Isaac True <isaac.true@canonical.com>  Fri, 12 May 2023 15:06:02 +0200

u-boot-s32 (2022.04-bsp36.0-9) jammy; urgency=medium

  * Add patch s32g274ardb2-enable-hse which enables NXP HSE firmware
    loading support. Note that this only enables the functionality; the
    firmware binary is required when the fip.s32 image is generated by the
    arm-trusted-firmware build process.

 -- Isaac True <isaac.true@canonical.com>  Tue, 25 Apr 2023 14:55:08 +0200

u-boot-s32 (2022.04-bsp36.0-8) jammy; urgency=medium

  * Add patch s32g274ardb2-serdes-config to set the default SERDES config
    to:
     - serdes0: 2 x PCIe
     - serdes1: 2 x 1G Ethernet

 -- Isaac True <isaac.true@canonical.com>  Thu, 20 Apr 2023 10:42:55 +0000

u-boot-s32 (2022.04-bsp36.0-6) jammy; urgency=medium

  * Update to 2022.04 from the NXP S32G BSP version 36.0, git tag:
    bsp36.0-2022.04
  * Remove incompatible or no longer necessary patches:
    - ensure-config-sandbox-for-make-env.patch
    - CVE-2022-2347-pre1.patch
    - s32g274ardb2-increase-malloc-size
  * Update patches for 2022.04
  * Add new build dependencies:
    - uuid-dev
    - libgnutls28-dev

 -- Isaac True <isaac.true@canonical.com>  Tue, 18 Apr 2023 09:58:12 +0000

u-boot-s32 (2020.04-bsp36.0-4) jammy; urgency=medium

  * Add patch s32g274ardb2-enable-efi.

 -- Isaac True <isaac.true@canonical.com>  Mon, 20 Mar 2023 15:52:01 +0000

u-boot-s32 (2020.04-bsp36.0-3) jammy; urgency=medium

  * Update to NXP S32G BSP version 36.0

 -- Isaac True <isaac.true@canonical.com>  Wed, 15 Mar 2023 08:47:30 +0000

u-boot-s32 (2020.04-bsp35.0-14) jammy; urgency=medium

  * Change MMC root partition to 2

 -- Isaac True <isaac.true@canonical.com>  Thu, 02 Feb 2023 09:54:41 +0000

u-boot-s32 (2020.04-bsp35.0-13) jammy; urgency=medium

  * Change the MMC partition that the fit image is loaded from to 1
  * Change the fit image file path to /fitImage

 -- Isaac True <isaac.true@canonical.com>  Thu, 19 Jan 2023 15:10:32 +0000

u-boot-s32 (2020.04-bsp35.0-11) jammy; urgency=medium

  * Set default CMA allocation to 256M

 -- Isaac True <isaac.true@canonical.com>  Thu, 19 Jan 2023 14:15:57 +0000

u-boot-s32 (2020.04-bsp35.0-8) jammy; urgency=medium

  * Add patch s32g274ardb2-enable-fdt-overlay to enable FDT overlay support

 -- Isaac True <isaac.true@canonical.com>  Tue, 17 Jan 2023 16:12:00 +0000

u-boot-s32 (2020.04-bsp35.0-7) jammy; urgency=medium

  * Reduced malloc and DFU buffer sizes to avoid a hang during initialisation.

 -- Isaac True <isaac.true@canonical.com>  Wed, 11 Jan 2023 16:40:49 +0000

u-boot-s32 (2020.04-bsp35.0-6) jammy; urgency=medium

  * Add patch s32g274ardb2-increase-malloc-size. This increases both the
    general malloc buffer size and that of the DFU buffer.

 -- Isaac True <isaac.true@canonical.com>  Wed, 11 Jan 2023 11:27:20 +0000

u-boot-s32 (2020.04-bsp35.0-4) jammy; urgency=medium

  * Enable additional configs:
    - CONFIG_CMD_DFU=y
    - CONFIG_CMD_GPT=y
    - CONFIG_RANDOM_UUID=y
    - CONFIG_DFU_TFTP=y
    - CONFIG_DFU_MMC=y
    - CONFIG_DFU_SF=y
    - CONFIG_DFU_RAM=y

 -- Isaac True <isaac.true@canonical.com>  Wed, 11 Jan 2023 08:40:06 +0000

u-boot-s32 (2020.04-bsp35.0-1) jammy; urgency=medium

  * Update to NXP S32G BSP version 35.0

 -- Isaac True <isaac.true@canonical.com>  Mon, 09 Jan 2023 09:32:03 +0000

u-boot-s32 (2020.04-bsp34.0.1-1) jammy; urgency=medium

  * Update to NXP S32G BSP version 34.0.1

 -- Isaac True <isaac.true@canonical.com>  Tue, 13 Dec 2022 19:35:28 +0000

u-boot-s32 (2020.04-bsp34.0-22) jammy; urgency=medium

  * Enable OP-TEE support

 -- Isaac True <isaac.true@canonical.com>  Tue, 13 Dec 2022 18:58:30 +0000

u-boot-s32 (2020.04-bsp34.0-21) jammy; urgency=medium

  * Add patches from u-boot-2022.01+dfsg-2ubuntu2.3
    - CVE-2022-2347-pre1.patch
    - CVE-2022-2347.patch
    - CVE-2022-30552_30790.patch
    - CVE-2022-30767.patch
    - CVE-2022-34835.patch
    - disable-fit-image-tests
    - ensure-config-sandbox-for-make-env.patch
    - test-imagetools-test-fixes
    - ubuntu-hardening-limit-keynames-to-keydir.patch

 -- Isaac True <isaac.true@canonical.com>  Fri, 09 Dec 2022 10:01:14 +0000

u-boot-s32 (2020.04-bsp34.0-20) jammy; urgency=medium

  * Initial release based on the NXP S32G BSP version 34.0, obtained from:
    https://source.codeaurora.org/external/autobsps32/u-boot/?h=release/bsp34.0-2020.04

 -- Isaac True <isaac.true@canonical.com>  Wed, 23 Nov 2022 10:13:31 +0000
